/lprVehicleLists/{id}/vehicles

Fetches information about all the vehicle records in the given list, including the user data.

Path Params
string
required

Id

Query Params
string

Token string value that references a page for pagination. This value is received when retrieving the first page in the nextPageToken and prevPageToken fields. When a pageToken is provided, the backend remembers search parameters from the original request, so search parameters that affect the result set or order are optional and will be ignored if provided. Representation parameters like include should still be applied.

integer
1 to 500
Defaults to 100

The number of entries to return per page. The maximum range of valid page sizes is documented with minimum and maximum values, but the range might be further limited dynamically based on the requested information, account, and system status. Values outside of the (dynamic) allowed range will not result in an error, but will be clamped to the nearest limit. Thus, logic to detect the last page should not be based on comparing the requested size with the received size, but on the existence of a nextPageToken value.

string

Provide the license plate in uppercase to be searched with an exact match

string

Provide the string to search for within a license plate. The results will include partial and exact matches. Refrain from passing an asterisk (*) or you will receive a 400 Bad Request.

accessType__in
array of objects

Search based on the access type

accessType__in
securityStatus__in
array of objects

Filters by only those records under a specific type of security status

securityStatus__in
userData
object

Dynamically named query parameter that allows clients to filter events based on specific values in user supplied fields.

  • This allows searching by user supplied attributes instead of plates, for example, apartment number, organization etc.
  • If the user for example wishes to search for organization having value ABC then the correct way to search is userData.organization=ABC. This then needs to be specified directly in the query parameters or in json object as a key value pair.
  • The list of user Data keys can be obtained by calling /lprVehicleLists:listFields endpoint
userTags__in
array of strings

Filters the result by one or more user tags. Each value should match a tag string exactly. This parameter is mutually exclusive with userTags__contains using both will return a 400 Bad Request error.

userTags__in
string

Filter results by substring or exact match within user tags. Do not pass * this will result in a 400 Bad Request. This parameter is mutually exclusive with userTags__in using both will return a 400 Bad Request error.

Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json